Package org.apache.calcite.avatica

## Class MetaImpl.FetchIterable

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.FetchIterable

All Implemented Interfaces:
  `java.lang.Iterable<java.lang.Object>`

Enclosing class:
  MetaImpl

    private class MetaImpl.FetchIterable
    extends java.lang.Object
    implements java.lang.Iterable<java.lang.Object>

Iterable that yields an iterator over rows coming from a sequence of `Meta.Frame`s.

### Field Summary

Fields
`private Meta.Frame` `firstFrame`
`private QueryState` `state`
`private AvaticaStatement` `stmt`

### Constructor Summary

Constructors
`private` `FetchIterable​(AvaticaStatement stmt, QueryState state, Meta.Frame firstFrame)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Iterator<java.lang.Object>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### stmt

    private final AvaticaStatement stmt

#### state

    private final QueryState state

#### firstFrame

    private final Meta.Frame firstFrame

### Constructor Detail

#### FetchIterable

    private FetchIterable​(AvaticaStatement stmt,
                          QueryState state,
                          Meta.Frame firstFrame)

### Method Detail

#### iterator

    public java.util.Iterator<java.lang.Object> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<java.lang.Object>`